DefaultGrailsServiceClass (Grails 3.2.4)
Date: 2016-12-21

Package: org.grails.core

## [Java] Class DefaultGrailsServiceClass

- org.grails.core.DefaultGrailsServiceClass

- All Implemented Interfaces and Traits:
    GrailsServiceClass

      public class DefaultGrailsServiceClass
      extends AbstractInjectableGrailsClass

  Authors:
    Steven Devijver

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `SERVICE` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractGrailsClass` | `grailsApplication`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DefaultGrailsServiceClass (java.lang.Class<?> clazz)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.lang.String` | `getDatasource()` If service is transactional then get data source will always apply
    `boolean` | `isTransactional()`
    `boolean` | `usesDatasource(java.lang.String name)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractInjectableGrailsClass` | `byName, byType, getAvailable`
    `class AbstractGrailsClass` | `getApplication, getClazz, getFullName, getLogicalPropertyName, getMetaClass, getName, getNaturalName, getPackageName, getPluginName, getPropertyDescriptors, getPropertyName, getPropertyOrStaticPropertyOrFieldValue, getPropertyType, getPropertyValue, getPropertyValue, getPropertyValueObject, getReferenceInstance, getShortName, getStaticPropertyValue, hasMetaMethod, hasMetaMethod, hasMetaProperty, hasProperty, isAbstract, isActionMethod, isReadableProperty, newInstance, setGrailsApplication, toString`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String SERVICE

  - ### Constructor Detail

    - #### public DefaultGrailsServiceClass(java.lang.Class<?> clazz)

  - ### Method Detail

    - #### public java.lang.String getDatasource()

      If service is transactional then get data source will always apply

      Returns:
        name of data source

    - #### public boolean isTransactional()

    - #### public boolean usesDatasource(java.lang.String name)